#ifndef __DS18B20_H
#define __DS18B20_H

#include <lpc11xx.h>
#include "gpio.h"


	

#define SET_DQ()        GPIOSetDir(PORT0,3,OUT);   \
						GPIOSetValue(PORT0,3,HIGH);
#define CLR_DQ()        GPIOSetDir(PORT0,3,OUT);   \
						GPIOSetValue(PORT0,3,LOW);
#define GET_DQ()        (0x0008 == (LPC_GPIO0->DATA & 0x0008))

void Onewire_Enable_GPIO_Port(void);
void Onewire_OUT_PULL_UP(void);
//void Onewire_OUT_FLOATING(void);
//void Onewire_IN_FLOATING(void);
void Onewire_IN_PULL_UP(void);
void resetOnewire(void) ;
uint8_t rOnewire(void);
void wOnewire(uint8_t data);
void OneWire_Test(void);
/////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////
void convertDs18b20(void);
uint8_t* readID(void);
uint32_t readTemp(void);

#endif /*_18B20_H*/

