#include <lpc11xx.h>
#include "gpio.h"

void GPIO_Configuration(void);
void  Delay (uint32_t nCount);



int main(void)
{
	GPIO_Configuration();
	while(1)
	{
		GPIOSetValue(PORT2,4,HIGH);
		GPIOSetValue(PORT2,5,HIGH);
		GPIOSetValue(PORT2,6,HIGH);
		GPIOSetValue(PORT2,7,HIGH);
		Delay(0xfffff);
		GPIOSetValue(PORT2,4,LOW);
		GPIOSetValue(PORT2,5,LOW);
		GPIOSetValue(PORT2,6,LOW);
		GPIOSetValue(PORT2,7,LOW);
		Delay(0xfffff);
			
	}
}

/*******************************************************************************
* Function Name  : Delay
* Description    : Delay Time
* Input          : - nCount: Delay Time
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void  Delay (uint32_t nCount)
{
  for(; nCount != 0; nCount--);
}

/*******************************************************************************
* Function Name  : GPIO_Configuration
* Description    : Configure GPIO Pin
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void GPIO_Configuration(void)
{
	/* LED0(PIO2_7)  LED0(PIO2_6)  LED0(PIO2_5)  LED0(PIO2_4) */
	GPIOSetDir(PORT2,4,OUT);
	GPIOSetDir(PORT2,5,OUT);
	GPIOSetDir(PORT2,6,OUT);
	GPIOSetDir(PORT2,7,OUT);		
}

