#include "open_key_led.h"
#include "systick_delay.h"

void key_init()
{
    //2 buttons
    LPC_GPIO1->DIR &= ~(1<<10);  //Set PIO2_5 as INPUT
    LPC_GPIO1->DIR &= ~(1<<11);  //Set PIO2_4 as INPUT
    //joystick
    LPC_GPIO2->DIR &= ~(1<<8);
    LPC_GPIO2->DIR &= ~(1<<9);
    LPC_GPIO2->DIR &= ~(1<<10);
    LPC_GPIO2->DIR &= ~(1<<11);
    LPC_GPIO0->DIR &= ~(1<<1);

}

void led_init()
{
    //LED1,connected to PIO0_0,which share with RESET# pin,be carefull.
    LPC_SYSCON->SYSAHBCLKCTRL |=(1<<16);    //Open IOCON clock
    //other 3 LEDs
    LPC_GPIO2->DIR |= (1<<4);
    LPC_GPIO2->DIR |= (1<<5);
    LPC_GPIO2->DIR |= (1<<6);
	LPC_GPIO2->DIR |= (1<<7);
    LPC_SYSCON->SYSAHBCLKCTRL &= ~(1<<16);//Close IOCON clock
}

void key_led_test()
{
 	while(1)
	{


          //KEY1~KEY4
		if(KEY1_TOGGLE)		 // if KEY1 pressed
		{            
			LED1_ON;
			while(KEY1_TOGGLE);	 // wait until key1 release
			LED1_OFF;
		}
        if(KEY2_TOGGLE)		 // if KEY2 pressed
		{
			LED2_ON;
			while(KEY2_TOGGLE);	 // wait until KEY2 release
			LED2_OFF;
		}
        //JoyStick
        if(JOYA_TOGGLE)	 // if A pressed
		{
			LED1_ON;				 // turn off LED1
			while(JOYA_TOGGLE);
			LED1_OFF;
		}
        if(JOYB_TOGGLE)
		{
			LED1_ON;
			while(JOYB_TOGGLE);
			LED1_OFF;
		}
        if(JOYCTR_TOGGLE)
		{
			LED1_ON;           
			while(JOYCTR_TOGGLE);
			LED1_OFF;  
        }
        if(JOYC_TOGGLE)
		{
			LED3_ON;
			while(JOYC_TOGGLE);
			LED3_OFF;
        }
        if(JOYD_TOGGLE)
		{
			LED4_ON;
			while(JOYD_TOGGLE);
			LED4_OFF;
        }
	}
}

