#ifndef __OPENKEY_H
#define __OPENKEY_H
#include <lpc11xx.h>

#include "systick_delay.h"

//4 LEDs
#define LED1_ON     LPC_GPIO2->DATA &= ~(1<<4)
#define LED1_OFF    LPC_GPIO2->DATA |= (1<<4)
#define LED2_ON     LPC_GPIO2->DATA &= ~(1<<5)
#define LED2_OFF    LPC_GPIO2->DATA |= (1<<5)
#define LED3_ON     LPC_GPIO2->DATA &= ~(1<<6)
#define LED3_OFF    LPC_GPIO2->DATA |= (1<<6)
#define LED4_ON     LPC_GPIO2->DATA &= ~(1<<7)
#define LED4_OFF    LPC_GPIO2->DATA |= (1<<7)
//2 buttons
#define KEY1_TOGGLE  ((LPC_GPIO1->DATA&(1<<10))!=(1<<10))
#define KEY2_TOGGLE  ((LPC_GPIO1->DATA&(1<<11))!=(1<<11))
//joystick
#define JOYA_TOGGLE ((LPC_GPIO2->DATA&(1<<8))!=(1<<8))
#define JOYB_TOGGLE ((LPC_GPIO2->DATA&(1<<9))!=(1<<9))
#define JOYCTR_TOGGLE ((LPC_GPIO0->DATA&(1<<1))!=(1<<1))
#define JOYC_TOGGLE ((LPC_GPIO2->DATA&(1<<10))!=(1<<10))
#define JOYD_TOGGLE ((LPC_GPIO2->DATA&(1<<11))!=(1<<11))

void key_init(void);
void led_init(void);
void key_led_test(void);

#endif
