#include <lpc11xx.h>
#include "ssp.h"
#include "uart.h"
#include <stdio.h>
#include "ws_AT45DBXX.h"



int main(void)
{
	uint8_t i,temp[4];
	uint8_t tmp;
	SystemInit();
	UART_init(115200);

	AT45DBXX_Init();
	printf("SPI is ready!\r\n");

	AT45DBXX_Read_ID(temp);
        
    printf("AT45DBXX ID:");
    for(i=0;i<4;i++)
    {
        printf("0x%X ",temp[i]);
    }
    printf("\r\n");
	delay_ms(500);
	delay_ms(500);

	printf("\r\nFALSH AT45DBXX Write Test: \r\n");
	for(i=0;i<255;i++) /*Written to the flash*/
	{
		write_buffer((u16)i,i);
		printf("%3d ",i);
	}
	delay_ms(500);
	delay_ms(500);
	printf("\r\nFALSH AT45DBXX Read Test: \r\n");

	for(i=0;i<255;i++) /*Read the flash*/
	{
		tmp=read_buffer((u16)i);
		printf("%3d ",tmp);
	}
	printf("\r\nFALSH AT45DBXX Read Test Succeed!\r\n");
	while(1)
	{
		
	}



}
